SDL_GetMaxHapticEffects(3)

NAME
SDL_GetMaxHapticEffects - Get the number of effects a haptic device can store.

SYNOPSIS
#include <SDL3/SDL_haptic.h>

int SDL_GetMaxHapticEffects(SDL_Haptic *haptic);

DESCRIPTION
On some platforms this isn't fully supported, and therefore is an approximation. Always check to see if your created effect was actually created and do not rely solely on SDL_GetMaxHapticEffects().

FUNCTION PARAMETERS

haptic
    the SDL_Haptic device to query.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetMaxHapticEffectsPlaying(3), SDL_GetHapticFeatures(3)